package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
* @Description : 生产配方模板
* @Reference :
* @author: jessica.chen
* @date: 2020/4/16 17:10
* @Modify:
*/

@Data
@Api(value="生产配方模板",description = "生产配方模板")
public class MesPartFormulaModel extends BaseBean {

    private static final long serialVersionUID = 2167743108452607620L;

    @ApiParam(value = "组号")
    @AnnoOutputColumn
    private String groupNo;

    @ApiParam(value = "组内名称")
    @AnnoOutputColumn
    private String groupName;

    @ApiParam(value = "原材料物料号")
    @AnnoOutputColumn(required = false)
    private String partNo;

    @ApiParam(value = "编号")
    @AnnoOutputColumn
    private String orderNo;

    @ApiParam(value = "下标值")
    @AnnoOutputColumn
    private Integer index;

}
