package cn.estsh.i3plus.pojo.ics.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description : 实例堆内存
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-04-10 16:57
 * @Modify:
 **/
@Data
@ApiModel("实例堆内存")
public class IcsInstanceMemoryHeap {

    @ApiModelProperty("堆使用的内存")
    private double heapMemoryUsed;

    @ApiModelProperty("堆内存大小")
    private double heapMemorySize;

    @ApiModelProperty("堆内存最大")
    private double heapMemoryMax;

}
