package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description :
 * @Reference :
 * @Author : zcg
 * @Date : 2020/3/9 0009 - 17:58
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_SCATTER_CFG_DETAIL")
@Api("MES_散件配置报文关系")
public class MesScatterCfgDetail extends BaseBean implements Serializable {

    @Column(name = "SP_CFG_CODE")
    @ApiParam("散件配置编码")
    private String spCfgCode;

    @Column(name = "PART_NO")
    @ApiParam("散件产品代码")
    private String partNo;

    @Column(name = "QTY")
    @ApiParam("用量")
    private BigDecimal qty;
}
