package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_TIME")
@Api("工步参数")
public class MesTime extends BaseBean implements Serializable {
    private static final long serialVersionUID = 1562011791394529076L;

    @Column(name = "MODULE")
    @ApiParam("组件")
    private String module;

    @Column(name = "ELAPSE")
    @ApiParam("耗时")
    private Long elapse;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工位")
    private String workCellCode;


}
