package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesBoardEquDetail;
import cn.estsh.i3plus.pojo.mes.bean.MesBoardEquStatus;
import cn.estsh.i3plus.pojo.mes.bean.MesBoardShiftSectionCapacity;
import cn.estsh.i3plus.pojo.mes.bean.MesOee;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;
/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/21 6:55 下午
 * @Modify:
 */
@Data
public class BoardModel {

    @ApiParam("看板名称")
    private String boardName;

    @ApiParam("班别")
    private String shiftName;

    @ApiParam("对象值描述")
    private String objectValueDesc;

    @ApiParam("计划人数")
    private Integer planPeopleNum;

    @ApiParam("实际人数")
    private Integer actualPeopleNum;

    @ApiParam("计划产量")
    private Integer planCapacity;

    @ApiParam("目标达成数")
    private Integer achievedNum;

    @ApiParam("看板图片路径")
    private String pictureUrl;

    @ApiParam("看板时段计划产量")
    private List<MesBoardShiftSectionCapacity> boardShiftSectionCapacityList;

    @ApiParam("看板设备状态")
    private List<MesBoardEquStatus> boardEquStatusList;

    @ApiParam("看板设备明细")
    private List<MesBoardEquDetail> boardEquDetailList;

    @ApiParam("oee")
    private List<MesOee> oeeList;
}
