package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description:
 * @Reference:
 * @Author: jessica.chen
 * @CreateDate: 2019\11\18 9:34
 * @Modify:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("QC质检单model")
public class IfQcOrderDataModel extends BaseBean {

    @ApiParam("ruid")
    private Long ruid;

    @ApiParam("收货流水号")
    private Long uuid;

    @ApiParam("域")
    private String werks;

    @ApiParam("地点")
    private String lgort;

    @ApiParam("收货库位")
    private String wlbrt;

    @ApiParam("单据号")
    private String refid;

    @ApiParam("行号")
    private Integer zeile;

    @ApiParam("业务类型")
    private String action;

    @ApiParam("供应商编码")
    private String lifnr;

    @ApiParam("物料编码")
    private String matnr;

    @ApiParam("收货数量")
    private String erfmg;

    @ApiParam("计量单位")
    private String erfme;

    @ApiParam("检验编号")
    private String chkno;

    @ApiParam("炉批号")
    private String stono;

    @ApiParam("收货日期")
    private String zpost;

    @ApiParam("收货时间")
    private String ztime;

    @ApiParam("添加日期")
    private String addtimeYmd;

    @ApiParam("添加时间")
    private String addtimeHms;

    @ApiParam("处理日期")
    private String finishtimeYmd;

    @ApiParam("处理时间")
    private String finishtimeHms;

    @ApiParam("删除标记")
    private Integer deleteFlag;

    @ApiParam("读取标识")
    private Integer readFlag;

    @ApiParam("错误代码")
    private String errCode;

    @ApiParam("错误信息")
    private String errMsg;
}
