package cn.estsh.i3plus.pojo.model.wms;


import cn.estsh.i3plus.pojo.model.mes.ImportErrorModel;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @Author: siliter.yuan
 * @CreateDate: 2020/4/21 9:19 AM
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("导入结果model")
public class ExcelImportModel implements Serializable {

    @ApiParam("结果")
    private boolean result;

    @ApiParam("成功行数量")
    private int successRowNum;

    @ApiParam("工作薄名称")
    private String sheetName;

    @ApiParam("导入数据集合")
    private List<ConcurrentHashMap<String, Object>> excelList;

    @ApiParam("错误信息集合")
    private List<ImportErrorModel> ImportErrorModels;
}
