package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.wms.bean.dynamictable.WmsListElement;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : WMS列表菜单model
 * @Reference :
 * @Author : sjc
 * @CreateDate : 2020-01-07 14:33
 * @Modify:
 **/
@Data
@Api("WMS列表菜单model")
public class WmsListElementModel extends BaseBean {

    @ApiParam(value = "功能菜单ID")
    private Long functionId;

    @ApiParam(value = "用户编号")
    private String userCode;

    @ApiParam(value = "是否默认配置 1-默认，2-自定义")
    private Integer isDefault;

    List<WmsListElement> wmsListElementList;

}
