package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/14 11:18
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_ELEMENT")
@EqualsAndHashCode(callSuper = true)
@Api("元素")
public class PtlElement extends BaseBean implements Serializable {
    private static final long serialVersionUID = 5562337056340313246L;

    @Column(name = "ELEMENT_NO")
    @ApiParam("元素代码")
    private String elementNo;

    @Column(name = "ELEMENT_NAME")
    @ApiParam("元素名称")
    private String elementName;


}
